# File: `EQ2_Common_Structs.h`

## Classes

- `KeyGen_Struct`
- `KeyGen_End_Struct`
- `LoginByNumRequest_Struct`
- `LS_LoginResponse`
- `EQ2_EquipmentItem`
- `EQ2_Equipment`
- `CharFeatures`
- `PositionData`
- `AppearanceData`
- `Player_Update`
- `Player_Update283`
- `Player_Update1096`
- `Player_Update1144`

## Functions

_None detected_

## Notable Comments

- /*
- */
- /*0000*/	int32	activity;
- /*0004*/	float	unknown2; // 1
- /*0008*/	float	direction1;
- /*0012*/	float	unknown3[8];
- /*0044*/	float	speed;
- /*0048*/	float	side_speed;
- /*0052*/	float	vert_speed;
- /*0056*/	float	orig_x;
